Get resource state – Media API – MediaKind
Get resource state
Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see our resource state docs.
RBAC Capability Required: ams.streamingendpoint.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
| Parameter | Type | Required |
|---|---|---|
| project_name | string | Yes |
| endpoint_name | string | Yes |
Response
200 OK
- status: object ResourceStateStatus Required
- The status of the resource.
- state: string Required
- The state of the resource. The value depends on the resource type.
- state: string Required
- The status of the resource.
Errors
400 Bad Request
- error: object ErrorDetail Required
- Pertinent information about the error
- code: string Required
- detail: string Required
- extraDetail: map from strings to any Optional
- Extra information regarding this error.
- ref: string Required
- status: integer Required
- Pertinent information about the error
401 Unauthorized
- error: object ErrorDetail Required
- Pertinent information about the error
403 Forbidden
- error: object ErrorDetail Required
- Pertinent information about the error
404 Not Found
- error: object ErrorDetail Required
- Pertinent information about the error
429 Too Many Requests
- error: object ErrorDetail Required
- Pertinent information about the error
500 Internal Server Error
- error: object ErrorDetail Required
- Pertinent information about the error